[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'unicodedata' (#rtl)

# GetProps

Get unicode character data

## Declaration

Source position: unicodedata.pas line 493

`function GetProps(`
`const ACodePoint: Word`
`):PUC_Prop; overload; function GetProps(`
`const AHighS: UnicodeChar;`
`const ALowS: UnicodeChar`
`):PUC_Prop; overload; function GetProps(`
`const ACodePoint: Cardinal`
`):PUC_Prop; overload;`

## Arguments

`ACodePoint` |  | Code point (word or cardinal)

## Function result

Pointer to unicode character data

## Arguments

`AHighS` |  | High character in a UTF16 surrogate pair
`ALowS` |  | Low character in a UTF16 surrogate pair

## Arguments

`ACodePoint` |  | Code point (word or cardinal)

## Description

GetProps returns a pointer to a general unicode character property data structure. The character can be specified using a word or cardinal sized codepoint (ACodePoint), or using a UTF16 encoded surrogate pair (AHighS,ALowS).

The returned pointer must not be freed, it points to part of a static structure.

## See also

GetPropUCA |  | Get unicode collation algorithm properties for a unicode character